Subject: Ticket Assigned - Landmark Group
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 14 Sep 2020 11:09:18 +0000

Hi Mohammad shafeeque,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group I have purchased items on 3-8-2020, but there was a problem after payment. I have payed a second time with another K-net and succeeded. The amount is 28.800 KD. I was informed that the payment will be reversed back to the bank within few days, but still there is nothing.. kindly follow up the problem for me.

Thanks.

iOS Version: 13.5.1
App Version: 9.1.1 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1397189